Bug 881372 - nsDS5BeginReplicaRefresh attribute accepts any value and it doesn't throw any error when server restarts.
Summary: nsDS5BeginReplicaRefresh attribute accepts any value and it doesn't throw any...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 7.1
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 19:37 UTC by Sankar Ramalingam
Modified: 2015-03-05 09:30 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:30:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Sankar Ramalingam 2012-11-28 19:37:15 UTC
Description of problem: nsDS5BeginReplicaRefresh attribute accepts any values and it doesn't throw any error messages when the server restarts too. 

Version-Release number of selected component (if applicable): 389-ds-base-1.2.11.15

How reproducible: Consistently

Steps to Reproduce:
1. Create replication agreement with two masters.
2. Run ldapmodify to initialize the replication agreement. Eg:
PORT=1189;/usr/lib64/mozldap/ldapmodify -h 10.65.206.72 -p $PORT -D "cn=Directory Manager" -w Secret123 << EOFdn: cn=WinPassSync,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsDS5BeginReplicaRefresh
nsDS5BeginReplicaRefresh: start
EOF 
3. Once the incremental update started, run an another ldapmodify command to stop the incremental updates. However, this is not the right way disable the replication updates.
PORT=1189;/usr/lib64/mozldap/ldapmodify -h 10.65.206.72 -p $PORT -D "cn=Directory Manager" -w Secret123 << EOFdn: cn=WinPassSync,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsDS5BeginReplicaRefresh
nsDS5BeginReplicaRefresh: junk_value123
EOF 
4. The above ldapmodify completed successfully. No error message observed in the access/error logs even after server restarts.

Actual results: nsDS5BeginReplicaRefresh attribute accepts any value and it doesn't throw any error when server restarts.

Expected results: It should ignore the invlaid values.

Comment 3 Nathan Kinder 2013-03-04 16:19:40 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/609

Comment 5 Sankar Ramalingam 2015-01-06 12:07:40 UTC
389-ds-base-1.3.3.1-10.el7.x86_64
[root@mgmt9 ~]# ldapmodify -x -p 1289 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=1289_to_1616_on_mgmt9.rhq.lab.eng.bos.redhat.com,cn=replica,cn=dc\3Dpasssync\2Cdc\3Dcom,cn=mapping tree,cn=config
changetype: modify
> replace: nsDS5BeginReplicaRefresh
> nsDS5BeginReplicaRefresh: start
> EOF
modifying entry "cn=1289_to_1616_on_mgmt9.rhq.lab.eng.bos.redhat.com,cn=replica,cn=dc\3Dpasssync\2Cdc\3Dcom,cn=mapping tree,cn=config"



[root@mgmt9 ~]# ldapmodify -x -p 1289 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=1289_to_1616_on_mgmt9.rhq.lab.eng.bos.redhat.com,cn=replica,cn=dc\3Dpasssync\2Cdc\3Dcom,cn=mapping tree,cn=config
changetype: modify
replace: nsDS5BeginReplicaRefresh
nsDS5BeginReplicaRefresh: invalid-aass
EOF

modifying entry "cn=1289_to_1616_on_mgmt9.rhq.lab.eng.bos.redhat.com,cn=replica,cn=dc\3Dpasssync\2Cdc\3Dcom,cn=mapping tree,cn=config"
ldap_modify: Server is unwilling to perform (53)
	additional info: Invalid value (invalid-aass) value supplied for attr (nsds5BeginReplicaRefresh); Ignoring ...


LDAP modify throws error 53 for invalid values for nsDS5BeginReplicaRefresh attribute. Hence, marking the bug as verified.

Comment 7 errata-xmlrpc 2015-03-05 09:30:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.